Entry(3)

NAME
Lire::Report::Entry - Interface to subreport's data.

SYNOPSIS
    foreach my $name ( $entry->names ) {
        print "Name: ", $name->{content}, "\n";
    }
    foreach my $value ( $entry->values ) {
        if ( ref $value eq 'Lire::Report::Group' ) {
            # Value is a group
            foreach my $e ( $value->entries ) {
                print_entry( $e );
            }
        } else {
            print "Value: ", $value->{content}, "\n";
        }
    }

DESCRIPTION
The Lire::Report::Entry objects are used to hold the subreport's data.

CONSTRUCTOR

  new()
Creates a new empty Lire::Report::Entry. Use the add_name(), add_group() and add_value() methods to fill this entry.

OBJECT METHODS

  names()
Returns the names of the entry. This is an array of hashes. The name's hash contains the following keys:

content
    That's the actual content of the name element. This contains the name in a format suitable for display.

value
    This contains the unformatted value of the name. For example, when the name is a time string, this attribute will contains the time in seconds since epoch.

range
    For some names, the actual content express a range (time, size, etc.). This attribute contains the length of the range.

  add_name( $content, [$value], [$range] )
Adds a new name to this entry. Consult the documentation of the names() method for a description of the meaning of the various parameters which have the same meaning as the keys with the same name.

  values()
Returns the names of the entry. This is an array of hashes or objects. If the value is an hash, it has the following keys:

content
    That's the actual content of the value element. This contains the value in a format suitable for display.

value
    This contains the unformatted value. For example, when bytes are displayed using "1M" or "1.1G", this will contains the value in bytes.

total
    This is used by values that represent an average. It contains the total which makes up the average.

n   This is used by values that represent an average. It contains the total which was used in the division to compute the average.

Some values are Lire::Report::Group objects when there is nested data.

  add_group( $group )
Adds a new group to this entry. The $group parameter must be of type Lire::Report::Group.

  add_value( $content, [$value], [$total], [$n] )
Adds a new value to this entry. Consult the documentation of the values() method for a description of the meaning of the various parameters which have the same meaning as the keys with the same names.

__END__

SEE ALSO
Lire::ReportParser::ReportBuilder(3pm) Lire::Report(3pm) Lire::Report::Subreport(3pm) Lire::Report::Section(3pm) Lire::Report::Group(3pm)

VERSION
$Id: Entry.pm,v 1.3 2002/06/23 19:23:40 vanbaal Exp $

COPYRIGHT
Copyright (C) 2002 Stichting LogReport Foundation LogReport@LogReport.org

This file is part of Lire.

Lire is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program (see COPYING); if not, check with http://www.gnu.org/copyleft/gpl.html or write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.

AUTHOR
Francis J. Lacoste <flacoste@logreport.org>